Name:           catcodec
Version:        1.0.5
Release:        %mkrel 2
Summary:        Sample catalog decoder and encoder for OpenTTD
Group:          Development/Other
License:        GPLv2+
URL:            http://www.openttd.org/en/download-catcodec
Source0:        http://binaries.openttd.org/extra/%{name}/%{version}/%{name}-%{version}-source.tar.xz
Patch0:		catcodec-1.0.2-fix_linking_order.patch 

%description
catcodec decodes and encodes sample catalogs for OpenTTD. These sample
catalogs are not much more than some meta-data (description and file name)
and raw PCM data.

%prep
%setup -q
%patch0 -p0

%build
cat << EOF >> Makefile.local
CXXFLAGS=%{optflags}
LDFLAGS=%{ldflags}
prefix=%{_prefix}
DO_NOT_INSTALL_DOCS=1
DO_NOT_INSTALL_LICENSE=1
DO_NOT_INSTALL_CHANGELOG=1
EOF

%make VERBOSE=1

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/readme.txt
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 347433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 1.0.5-1.mga3
+ Revision: 249281
- new version 1.0.5

* Fri Aug 05 2011 wally <wally> 1.0.4-1.mga2
+ Revision: 131919
- new version 1.0.4
- drop upstream applied patch (P1)

* Sun Jan 09 2011 wally <wally> 1.0.3-1.mga1
+ Revision: 1662
- imported package catcodec

